# MySQL file for Upgrade of Responsive Classic Contemporary Silver Template for 1.5.x 1.0 to 2.0
################################################################################################

SET @configuration_group_id=0;
SELECT @configuration_group_id:=configuration_group_id
FROM configuration_group
WHERE configuration_group_title= 'ZCA Template Switch'
LIMIT 1;
DELETE FROM configuration WHERE configuration_group_id = @configuration_group_id AND configuration_group_id != 0;
DELETE FROM configuration_group WHERE configuration_group_id = @configuration_group_id AND configuration_group_id != 0;

INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) 
VALUES (NULL, 'ZCA Template Switch', 'Configure ZCA Template Switch Settings', '1', '1');
SET @configuration_group_id=last_insert_id();
UPDATE configuration_group 
SET sort_order = @configuration_group_id 
WHERE configuration_group_id = @configuration_group_id;

DELETE FROM configuration WHERE configuration_key = 'COLUMN_WIDTH';

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) 
VALUES (NULL, '<font color="#0044ff">ACTIVATE Responsive Template</font>', 'COLUMN_WIDTH', '0', 'Column Width - Left Boxes &<br /> Column Width - Right Boxes<br /><b>DO NOT WORK WITH</b><br />(1)Responsive Template Settings<br /><br /><b>Use</b><br />Column Width - Left &<br /> Column Width - Right<br /><br /><br /> 0 = Use Default Template Settings<br />1 = Use Responsive Template Settings<br />',@configuration_group_id, NULL, NOW(), NULL, 'zen_cfg_select_option(array(\'0\', \'1\'),');

SET @configuration_group_id=0;
SELECT @configuration_group_id:=configuration_group_id
FROM configuration_group
WHERE configuration_group_title= 'Layout Settings' 
LIMIT 1;

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES 
(NULL, 'Display the Desktop View Link on Mobile Devices', 'SHOW_GOTO_DESKTOP_FROM_MOBILE', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 1, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Tablet View Link on Mobile Devices', 'SHOW_GOTO_TABLET_FROM_MOBILE', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 2, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Mobile View Link on Tablet Devices', 'SHOW_GOTO_MOBILE_FROM_TABLET', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 3, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Desktop View Link on Tablet Devices', 'SHOW_GOTO_DESKTOP_FROM_TABLET', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 4, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Mobile View Link on Desktops', 'SHOW_GOTO_MOBILE_FROM_DESKTOP', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 5, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Tablet View Link on Desktops', 'SHOW_GOTO_TABLET_FROM_DESKTOP', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 6, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Display the Non-Responsive View Link on Desktop', 'SHOW_GOTO_NONRESPONSIVE_FROM_DESKTOP', 'true', 'true = display link <br />false = do not display link', @configuration_group_id, 7, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
(NULL, 'Desktop Link Text', 'ZCA_DESKTOP_LINK_TEXT', 'isDesktop', 'Alternate text to be displayed in #nav menu', @configuration_group_id, 8, NOW(), NULL, NULL),
(NULL, 'Mobile Link Text', 'ZCA_MOBILE_LINK_TEXT', 'isMobile', 'Alternate text to be displayed in #nav menu', @configuration_group_id, 9, NOW(), NULL, NULL),
(NULL, 'Tablet Link Text', 'ZCA_TABLET_LINK_TEXT', 'isTablet', 'Alternate text to be displayed in #nav menu', @configuration_group_id, 10, NOW(), NULL, NULL),
(NULL, 'Responsive Link Text', 'ZCA_RESPONSIVE_LINK_TEXT', 'isResponsive', 'Alternate text to be displayed in #nav menu', @configuration_group_id, 11, NOW(), NULL, NULL),
(NULL, 'Non-Responsive Link Text', 'ZCA_NONRESPONSIVE_LINK_TEXT', 'isNonResponsive', 'Alternate text to be displayed in #nav menu', @configuration_group_id, 12, NOW(), NULL, NULL);

DELETE FROM admin_pages WHERE page_key = 'config_zca_template_switch' LIMIT 1;

SELECT @sortorder:=max(sort_order) FROM admin_pages;
INSERT INTO `admin_pages` (`page_key`, `language_key`, `main_page`, `page_params`, `menu_key`, `display_on_menu`, `sort_order`) VALUES
('config_zca_template_switch', 'BOX_CONFIGURATION_ZCA_TEMPLATE_SWITCH', 'FILENAME_CONFIGURATION',CONCAT('gID=',@configuration_group_id), 'configuration', 'Y', @configuration_group_id);